
//---------------------------------------------------------------------------
// bbmobile_arduino_02
//---------------------------------------------------------------------------
// This is library for playing with BBMobile modules
// you can freely change and redistribute it but
// dont forget to add link to our website: www.bbmagic.net
//---------------------------------------------------------------------------
// To jest biblioteka obsługująca moduł BBMobile
// możesz ją dowolnie modyfikować i redystrybuować ale
// nie zapomnij tylko o zawarciu linku: www.bbmagic.net
//---------------------------------------------------------------------------
#ifndef BBMOBILE_ARDUINO_H
#define BBMOBILE_ARDUINO_H


  extern String bbm_buf ;

  byte BBMobileIsConnected(void) ;
  byte BBMobileGetMessage(Stream *bbm) ;
  byte BBMobileSendWaitAck(Stream *bbm, String s) ;
  void BBMobileSend(Stream *bbm, String s) ;
  byte BBMobileSendJson(Stream *bbm, char *j) ;

  long unsigned int BBMobileGetLocalTime(String *pbuf) ;
  int BBMobileGetFieldString(String *f, String *ret) ;
  int BBMobileGetFieldInt(String *f, long int *ret) ;
  int BBMobileGetFieldFloat(String *f, float *ret) ;

#endif
